org.apache.calcite.avatica.util

## Class DateTimeUtils.PrecisionTime

- java.lang.Object
- - org.apache.calcite.avatica.util.DateTimeUtils.PrecisionTime

Enclosing class:
  DateTimeUtils

    public static class DateTimeUtils.PrecisionTime
    extends Object

Helper class for `DateTimeUtils.parsePrecisionDateTimeLiteral(java.lang.String, java.lang.String, java.util.TimeZone)`

### Field Summary

Fields
`private Calendar` `cal`
`private String` `fraction`
`private int` `precision`

### Constructor Summary

Constructors
Constructor and Description
`PrecisionTime(Calendar cal, String fraction, int precision)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Calendar` `getCalendar()`
`String` `getFraction()`
`int` `getPrecision()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cal

    private final Calendar cal

#### fraction

    private final String fraction

#### precision

    private final int precision

### Constructor Detail

#### PrecisionTime

    public PrecisionTime(Calendar cal,
                         String fraction,
                         int precision)

### Method Detail

#### getCalendar

    public Calendar getCalendar()

#### getPrecision

    public int getPrecision()

#### getFraction

    public String getFraction()